#!/bin/bash

# exit on error
set -e

# set up server
echo -e "----- server (namespace nfqs):\n"
ip netns add nfqs
ip link add seth0 type veth peer name ceth0
ip link set dev seth0 netns nfqs
ip netns exec nfqs ip link set seth0 up
ip netns exec nfqs ip addr add 10.11.0.1/24 dev seth0
ip netns exec nfqs ip link set lo up
ip netns exec nfqs ip addr

# set up client
echo -e "\n----- client (namespace nfqc):\n"
ip netns add nfqc
ip link set dev ceth0 netns nfqc
ip netns exec nfqc ip link set ceth0 up
ip netns exec nfqc ip addr add 10.11.0.2/24 dev ceth0
ip netns exec nfqc ip link set lo up
ip netns exec nfqc ip addr
